DEVICE_SET_DESC(9)

NAME
device_set_desc, device_set_desc_copy, device_get_desc - access the description of a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
device_set_desc(device_t dev, const char *desc);
void
device_set_desc_copy(device_t dev, const char *desc);
const char *
device_get_desc(device_t dev);

DESCRIPTION
Manipulate the verbose description of a device. This description (if present) is printed as part of the message when it is attached during autoconfiguration. The variation device_set_desc_copy() is used to set the description if the string passed is a temporary buffer which will be overwritten. In this case, the system will copy the string, otherwise the pointer passed will be used directly.

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.